Bug 1086393 - netcdf-cxx4 fails to build on bigendian architectures
netcdf-cxx4 fails to build on bigendian architectures
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Ruediger Oertel
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-22 00:18 UTC by Ruediger Oertel
Modified: 2019-10-16 14:01 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruediger Oertel 2018-03-22 00:18:45 UTC
looks like the getMemberNameFromValue end up with
[  587s] Testing NcEnumType::getMemberNameFromValue(index)        NetCDF: HDF error
[  587s] file: ncFile.cpp  line:33
[  587s] unknown error
[  587s] NetCDF: Invalid argument
[  587s] file: ./ncEnumType.h  line:85

on ppc/ppc64/s390/s390x

let's skip these testcases for now while netcdf-cxx4-4.3.0 is still
being built against netcdf-4.4.1.1

looks like the code in netdf-4.6.1 is more endian aware, tests can probably
be re-enabled then.
Comment 1 Swamp Workflow Management 2018-03-23 08:10:05 UTC
This is an autogenerated message for OBS integration:
This bug (1086393) was mentioned in
https://build.opensuse.org/request/show/590562 Factory / netcdf-cxx4
Comment 2 Chenzi Cao 2018-05-11 09:56:18 UTC
Hi Ruediger, you have fixed this issue, so assigning it to you now, thanks.
Comment 3 Ruediger Oertel 2019-10-16 14:01:49 UTC
okay, closing